// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.commands.BalayeuseAlgue;
import frc.robot.commands.BalayeuseCoral;
import frc.robot.commands.BalayeuseHaut;
import frc.robot.commands.L1Requin;
import frc.robot.subsystems.Requin;
import frc.robot.subsystems.Bougie;
public class RobotContainer {
  CommandXboxController manette1 = new CommandXboxController(0);
  CommandXboxController manette2 = new CommandXboxController(1);
  Requin requin = new Requin();
  Bougie bougie = new Bougie();
  public RobotContainer() {
    configureBindings();
  }

  private void configureBindings() {
    manette2.b().whileTrue(new BalayeuseAlgue(requin));
    manette2.x().whileTrue(new BalayeuseCoral(requin));
    manette2.y().whileTrue(new L1Requin(requin,bougie));
    manette2.rightBumper().whileTrue(new BalayeuseHaut(requin));
  }

  public Command getAutonomousCommand() {
    return Commands.print("No autonomous command configured");
  }
}
